Change a license's price
curl --request PUT \
--url https://{workspace}.klef.ai/api/licenses/prices/{id} \
--header 'Content-Type: application/json' \
--cookie klef.session= \
--data '
{
"effectiveFrom": "2023-12-25",
"lots": [
{
"amount": 500000,
"seats": 1073741824,
"termEnd": "2023-12-25"
}
]
}
'import requests
url = "https://{workspace}.klef.ai/api/licenses/prices/{id}"
payload = {
"effectiveFrom": "2023-12-25",
"lots": [
{
"amount": 500000,
"seats": 1073741824,
"termEnd": "2023-12-25"
}
]
}
headers = {
"cookie": "klef.session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'klef.session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
effectiveFrom: '2023-12-25',
lots: [{amount: 500000, seats: 1073741824, termEnd: '2023-12-25'}]
})
};
fetch('https://{workspace}.klef.ai/api/licenses/prices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": "<string>",
"effectiveFrom": "2023-12-25",
"currency": "<string>",
"lots": [
{
"amount": 123,
"period": "monthly",
"seats": 123,
"termEnd": "2023-12-25"
}
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}Licenses
Change a license's price
PUT
/
licenses
/
prices
/
{id}
Change a license's price
Authorizations
cookieAuthapiKeyAuth
Cookie-based session. Obtain by completing the /auth/login/{provider} OAuth flow; the /auth/callback response sets the klef.session cookie that subsequent requests send automatically.
Path Parameters
Body
application/json
Was this page helpful?